.modal-container {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr;
    place-items: center;
    align-items: center;
    position: fixed;
    top: 0px;
    padding: 20px;
    margin: auto auto;
    left: 0;
    z-index: 150;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.6);
    animation: 1s ease-in-out forwards modal-fadein;
    user-select: none;
}

.modal-container--bg-override {
    background: none;
}

.modal-inner {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 96px 1fr 96px;
    background: white;
    place-items: center;
    width: 90%;
    height: 90%;
    max-height: 90%;
    max-width: 90%;
    overflow-y: auto;
    overflow-x: hidden;
    border-radius: 15px;
}

.modal-notice-box {
    border: 1px solid lightgray;
    background-color: #fafafa;
    box-shadow: inset 2px 2px 4px rgba(0, 0, 0, 0.3),
        inset -1px -1px 4px rgba(0, 0, 0, 0.3);
    width: 90%;
    height: 90%;
    max-height: 90%;
    overflow-y: auto;
    max-width: 90%;
    margin: 10px;
    padding: 2rem;
    padding-left: 8rem;
    padding-right: 8rem;
    text-align: justify;
    font-size: 20px !important;
    font-weight: 500;
    font-family: 'Times New Roman', Times, serif !important;
}

.modal-notice-box h2 {
    text-align: left;
    font-family: Arial, Helvetica, sans-serif;
}

.modal-inner-button {
    padding: 20px;
    font-size: 20px;
    font-weight: 500;
    letter-spacing: 1px;
    line-height: 1;
    color: white;
    background-color: cornflowerblue;
    box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.6);
    cursor: pointer;
    transition: 0.2s ease;
}

.modal-inner-button:hover {
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.8);
}

.modal-inner-header {
    display: flex;
    width: 100%;
    flex-direction: column;
    justify-items: center;
    text-align: center;
}

@keyframes modal-fadein {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes modal-hide {
    from {
        opacity: 1;
        transform: translateY(0px);
    }
    to {
        opacity: 0;
        display: none;
        transform: translateY(calc(-100vh));
    }
}

.modal-hidden {
    animation: 0.5s ease-in forwards modal-hide;
}

@media (max-width: 500px) {
    .modal-container {
        padding: 0;
    }

    .modal-inner {
        width: 100%;
        height: 100%;
        border-radius: 0%;
        margin: 0;
    }

    .modal-notice-box {
        margin-left: 1rem;
        margin-right: 1rem;
        padding: 16px;
        font-size: 16px !important;
    }

    .modal-notice-box h2 {
        text-align: center;
        font-size: 18px;
    }
}
